@echo off

echo -- Compiling resources for NetRaider Server...
echo.

cd resource
if exist netserv.res goto norescomp
d:\masm32\rc -i .\include\ -v netserv.rc

:norescomp

if exist netserv.obj del netserv.obj
d:\masm32\bin\cvtres /machine:ix86 /out:netserv.obj netserv.res
cd ..

if exist netserv.exe del netserv.exe

echo -- Compiling executable...
echo.
d:\masm32\bin\ml /c /coff /Cp /I.\include netserv.asm

echo.
echo -- Linking executable...
echo.
d:\masm32\bin\link /SUBSYSTEM:WINDOWS /LIBPATH:d:\masm32\lib netserv.obj resource\netserv.obj

del netserv.obj